<?php

/**
 * @file
 * Provides admin page callbacks for tinglejs module.
 */

/**
 * Form builder for admin/config/development/tinglejs.
 */
function tinglejs_settings_form($form, &$form_state) {
  $tingle_version = variable_get('tinglejs_version', TINGLEJS_VERSION_DEFAULT);

  $form['tinglejs'] = array(
    '#type' => 'fieldset',
    '#title' => t('tingle.js'),
  );

  $form['tinglejs']['tinglejs_version'] = array(
    '#type' => 'textfield',
    '#title' => t('Version'),
    '#size' => 9,
    '#required' => TRUE,
    '#default_value' => $tingle_version,
    '#description' => t('The defaule version is "@version".', array(
      '@version' => TINGLEJS_VERSION_DEFAULT,
    )),
    '#element_validate' => array('tinglejs_validate_version_text'),
  );

  $form['tinglejs']['tinglejs_autoload_paths'] = array(
    '#type' => 'textarea',
    '#title' => t('Autoload library on the following path(s)'),
    '#description' => t('Typically this is used as library module. To allow using this wasily as Theme developer or on certain pages without implementing a hook to load the library, you can autoload the library on the given paths. In most cases you should instead load the "tinglejs" library in a hook.'),
    '#required' => FALSE,
    '#default_value' => variable_get('tinglejs_autoload_paths', ''));

  $form['#submit'][] = 'tinglejs_settings_form_submit';

  return system_settings_form($form);
}

/**
 * Additional submit callback for tinglejs_settings_form().
 */
function tinglejs_settings_form_submit(&$form, &$form_state) {
  libraries_cache_clear();
}
